Package org.eclipse.team.core

# Class DefaultRepositoryProviderType

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.team.core.RepositoryProviderType
org.eclipse.team.core.DefaultRepositoryProviderType

All Implemented Interfaces:
  `IAdaptable`

public final class DefaultRepositoryProviderType extends RepositoryProviderType

## Constructor Summary

Constructors
Constructor
Description
`DefaultRepositoryProviderType()`

## Method Summary

### Methods inherited from class org.eclipse.team.core.RepositoryProviderType

`getFileSystemScheme, getID, getProjectSetCapability, getProviderType, getSubscriber, getTypeForScheme, metaFilesDetected`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultRepositoryProviderType

public DefaultRepositoryProviderType()